# Interface ProgressListener

public interface ProgressListener
The `ProgressListener` may be used to display a progress bar or do stuff like that.

## Method Summary

Modifier and Type
Method
Description
`void`
`update(long bytesRead, long contentLength, int items)`
Updates the listeners status information.

## Method Details

### update

void update(long bytesRead, long contentLength, int items)
Updates the listeners status information.

Parameters:
  `bytesRead` - The total number of bytes, which have been read so far.
  `contentLength` - The total number of bytes, which are being read. May be -1, if this number is unknown.
  `items` - The number of the field, which is currently being read. (0 = no item so far, 1 = first item is being read, ...)